
#ifndef KCM_FIREWALL_CORE_EXPORT_H
#define KCM_FIREWALL_CORE_EXPORT_H

#ifdef KCM_FIREWALL_CORE_STATIC_DEFINE
#  define KCM_FIREWALL_CORE_EXPORT
#  define KCM_FIREWALL_CORE_NO_EXPORT
#else
#  ifndef KCM_FIREWALL_CORE_EXPORT
#    ifdef kcm_firewall_core_EXPORTS
        /* We are building this library */
#      define KCM_FIREWALL_CORE_EXPORT __attribute__((visibility("default")))
#    else
        /* We are using this library */
#      define KCM_FIREWALL_CORE_EXPORT __attribute__((visibility("default")))
#    endif
#  endif

#  ifndef KCM_FIREWALL_CORE_NO_EXPORT
#    define KCM_FIREWALL_CORE_NO_EXPORT __attribute__((visibility("hidden")))
#  endif
#endif

#ifndef KCM_FIREWALL_CORE_DEPRECATED
#  define KCM_FIREWALL_CORE_DEPRECATED __attribute__ ((__deprecated__))
#endif

#ifndef KCM_FIREWALL_CORE_DEPRECATED_EXPORT
#  define KCM_FIREWALL_CORE_DEPRECATED_EXPORT KCM_FIREWALL_CORE_EXPORT KCM_FIREWALL_CORE_DEPRECATED
#endif

#ifndef KCM_FIREWALL_CORE_DEPRECATED_NO_EXPORT
#  define KCM_FIREWALL_CORE_DEPRECATED_NO_EXPORT KCM_FIREWALL_CORE_NO_EXPORT KCM_FIREWALL_CORE_DEPRECATED
#endif

#if 0 /* DEFINE_NO_DEPRECATED */
#  ifndef KCM_FIREWALL_CORE_NO_DEPRECATED
#    define KCM_FIREWALL_CORE_NO_DEPRECATED
#  endif
#endif

#endif /* KCM_FIREWALL_CORE_EXPORT_H */
